<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: components/image/Image.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: components/image/Image.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import style from &#x27;./style.scss&#x27;
import { h, Component } from &#x27;preact&#x27;

let classNames &#x3D; (require(&#x27;classnames/bind&#x27;)).bind(style)

/**
 * prosty element img
 * @class Image
 * @extends {Component}
 * @example
 * &amp;lt;Image
 *   width&#x3D;&quot;300px&quot;
 *   height&#x3D;&quot;250px&quot;
 *   src&#x3D;&quot;http://placekitten.com/300/250&quot;
 *   style&#x3D;{
 *    &#x27;border&#x27;: &#x27;3px dotted red&#x27;
 *   }
 *   onReady&#x3D;function(){}
 * /&gt;
 *
 * @prop {object} props - zestaw właściwości komponentu
 * @prop {string} props.src - adres grafiki
 * @prop {string} [props.width] - szerokość komponentu wraz z jednostką
 * @prop {string} [props.height] - wysokość komponentu wraz z jednostką
 * @prop {string} [props.objectFit&#x3D;contain] - @see https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit
 * @prop {string} [props.validate&#x3D;never] - @see https://developer.mozilla.org/en-US/docs/Mozilla/Tech/XUL/image#a-validate
 * @prop {object} [props.style] - obiekt ze stylami inline
 * @prop {function} [props.onReady] - callback wywoływany, gdy obrazek zamontował się poprawnie
 */
export class Image extends Component {
  constructor (props, state) {
    super(props, state)

    if (!(&#x27;style&#x27; in this.props)) this.props.style &#x3D; {}
    if (!(&#x27;objectFit&#x27; in this.props.style)) this.props.style.objectFit &#x3D; (&#x27;objectFit&#x27; in this.props) ? this.props.objectFit : &#x27;contain&#x27;
    if (!(&#x27;validate&#x27; in this.props)) this.props.validate &#x3D; &#x27;never&#x27;

    this.handleOnLoad &#x3D; this.handleOnLoad.bind(this)

    if (typeof this.props.onInit &#x3D;&#x3D;&#x3D; &#x27;function&#x27;) this.props.onInit()
  }

  /**
   * obsługa eventu onLoad grafiki
   */
  handleOnLoad () {
    if (typeof this.props.onReady &#x3D;&#x3D;&#x3D; &#x27;function&#x27;) this.props.onReady()
  }

  render () {
    return (
      &amp;lt;img
        width&#x3D;{ this.props.width }
        height&#x3D;{ this.props.height }
        className&#x3D;{ classNames(&#x27;image&#x27;) }
        style&#x3D;{ this.props.style }
        src&#x3D;{ this.props.src }
        validate&#x3D;{ this.props.validate }
        onLoad&#x3D;{ this.handleOnLoad }
      /&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>